[loggers]
keys=root,smart_open,gensim

[handlers]
keys=consoleHandler,fileHandler

[formatters]
keys=basicFormatter

[logger_smart_open]
level=ERROR
handlers=consoleHandler,fileHandler
qualname=smart_open


[logger_gensim]
level=ERROR
handlers=consoleHandler,fileHandler
qualname=gensim


[logger_root]
level=DEBUG
handlers=consoleHandler,fileHandler

[logger_test]
level=DEBUG
handlers=consoleHandler,fileHandler
qualname=appLogger
propagate=0


[handler_fileHandler]
class=handlers.TimedRotatingFileHandler
interval=W6
backupCount=5
formatter=basicFormatter
level=DEBUG
args=('./logs/app.log',)

[handler_consoleHandler]
class=StreamHandler
level=DEBUG
formatter=basicFormatter
args=(sys.stdout,)

[formatter_basicFormatter]
format=%(asctime)s - %(name)s - %(levelname)s - %(message)s